<?php
/*
|--------------------------------------------------------------------------
| Routes File Janeth Maribel Cuevas Montelon
|--------------------------------------------------------------------------
|
| 24 Enero 2019
| Archivo de rutas para pruebas de desarrollo
|
*/

//Route::get('referencia/pacientes', 'App\Http\Controllers\AdministradorController@BuscarPacienteReferencias');
Route::get('referencia/pacientes', 'App\Http\Controllers\ConsultaExterna\FormulariosController@BuscarPacienteReferencias');
Route::post('referencia/pacientes', 'App\Http\Controllers\ConsultaExterna\FormulariosController@BuscarPacienteReferencias');
//Route::post('referencia/pacientes', 'App\Http\Controllers\AdministradorController@indexBuscarPaciente');

// 07 Marzo 2019 . Janeth Cuevas
Route::post('ConsultaExterna_getLstPaciente', 'App\Http\Controllers\ConsultaExterna\FuncionesController@getLstPaciente');
//05 Sept 2019	Janeth Cuevas
Route::post('vCat_GrupoSanguineo', 'App\Http\Controllers\Catalogos\VistasController@vCat_GrupoSanguineo');
Route::post('vCat_Nacionalidad', 'App\Http\Controllers\Catalogos\VistasController@vCat_Nacionalidad');
Route::post('vCat_Religion', 'App\Http\Controllers\Catalogos\VistasController@vCat_Religion');
Route::post('vCat_TipoBeneficiario', 'App\Http\Controllers\Catalogos\VistasController@vCat_TipoBeneficiario');
Route::post('vCat_Ocupacion', 'App\Http\Controllers\Catalogos\VistasController@vCat_Ocupacion');
Route::post('vCat_LenguasIndigenas', 'App\Http\Controllers\Catalogos\VistasController@vCat_LenguasIndigenas');
Route::post('vCat_Dependencia', 'App\Http\Controllers\Catalogos\VistasController@vCat_Dependencia');
Route::post('vCat_Programa', 'App\Http\Controllers\Catalogos\VistasController@vCat_Programa');
Route::post('vCat_Parentescos', 'App\Http\Controllers\Catalogos\VistasController@vCat_Parentescos');
Route::post('RegistrarPaciente_AddFiliacion', 'App\Http\Controllers\ArchivoController@RegistrarPaciente_AddFiliacion');
Route::post('ActualizarFiliacion', 'App\Http\Controllers\ArchivoController@ActualizarFiliacion');
// 10 Marzo 2020
Route::post('archivo/getNvecesCurpPaciente', 'App\Http\Controllers\ArchivoController@getNvecesCurpPaciente');

Route::post('archivo_busquedaPaciente', 'App\Http\Controllers\ArchivoController@archivo_busquedaPaciente');

Route::post('agendaNuevaCita', 'App\Http\Controllers\ArchivoController@agendaNuevaCita');
Route::get('agendaNuevaCita', 'App\Http\Controllers\ArchivoController@agendaNuevaCita');

Route::post('modificarPaciente', 'App\Http\Controllers\ArchivoController@modificarPaciente');
Route::get('modificarPaciente', 'App\Http\Controllers\ArchivoController@modificarPaciente');

Route::post('buscarCurpGeneralesWs', 'App\Http\Controllers\ArchivoController@buscarCurpGeneralesWs');
Route::get('buscarCurpGeneralesWs', 'App\Http\Controllers\ArchivoController@buscarCurpGeneralesWs');

// 17 Dic 2020  Vista para mostrar vacunacion
Route::post('Agenda_getVacunacion', 'App\Http\Controllers\ArchivoController@Agenda_getVacunacion');
// 23 Dic 2020 . Grabar vacunas paciente
Route::post('add_vacunasPaciente', 'App\Http\Controllers\ArchivoController@add_vacunasPaciente');
// 28 Dic 2020 . Grabar vacunas paciente
Route::post('getVacunasAsignadasPac', 'App\Http\Controllers\ArchivoController@getVacunasAsignadasPac');
Route::post('vCat_VacunasPaciente', 'App\Http\Controllers\Catalogos\VistasController@vCat_VacunasPaciente');
Route::get('vCat_VacunasPaciente', 'App\Http\Controllers\Catalogos\VistasController@vCat_VacunasPaciente');

//29 Dic 2020 Upd Vacunas pac
Route::post('upd_vacunasPaciente', 'App\Http\Controllers\ArchivoController@upd_vacunasPaciente');
//30 Dic 2020 del Vacunas pac
Route::post('del_vacunasPaciente', 'App\Http\Controllers\ArchivoController@del_vacunasPaciente');

//08 Ene 2021  Vista para imprimir pacientes agendados vacunacion 
Route::post('getAgendaVacunas_pdf', 'App\Http\Controllers\ArchivoController@getAgendaVacunas_pdf'); 
Route::get('getAgendaVacunas_pdf', 'App\Http\Controllers\ArchivoController@getAgendaVacunas_pdf'); 

Route::get('getImprimirAgendaVac', 'App\Http\Controllers\ArchivoController@getImprimirAgendaVac'); 
Route::post('getImprimirAgendaVac', 'App\Http\Controllers\ArchivoController@getImprimirAgendaVac'); 

// 05 Feb 2021 Consultar notas d urgencias desde Estadistica
Route::get('consultar_notas_urg', 'App\Http\Controllers\EstadisticasController@consultar_notas_urg');
Route::post('consultar_notas_urg', 'App\Http\Controllers\EstadisticasController@consultar_notas_urg'); 

Route::post('Estadisticas_getLstNotasUrg', 'App\Http\Controllers\EstadisticasController@getLstNotasUrg'); 
// 08 Feb 2021 Ruta para retornar vista con Nota Urg
Route::post('ver_nota_urgencias', 'App\Http\Controllers\EstadisticasController@getNotaUrg'); 
// 08 Feb 2021 Ruta busqueda de procedimientos
Route::post('getLstBuscarProcedimiento', 'App\Http\Controllers\Catalogos\FuncionesController@getLstBuscarProcedimiento');
Route::post('estadistica/addProcedimiento', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@addProcedimiento_nUrg');
Route::post('del_procedimientoNota', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@del_procedimientoNota');
// 16 Feb 2021 
Route::post('vCat_TipoUrgencia', 'App\Http\Controllers\Catalogos\VistasController@vCat_TipoUrgencia');
Route::get('vCat_TipoUrgencia', 'App\Http\Controllers\Catalogos\VistasController@vCat_TipoUrgencia');

Route::post('vCat_TipoDeCamaUrgencias', 'App\Http\Controllers\Catalogos\VistasController@vCat_TipoDeCamaUrgencias');
Route::get('vCat_TipoDeCamaUrgencias', 'App\Http\Controllers\Catalogos\VistasController@vCat_TipoDeCamaUrgencias');

Route::post('vCat_MotivoAltaUrgencias', 'App\Http\Controllers\Catalogos\VistasController@vCat_MotivoAltaUrgencias');
Route::get('vCat_MotivoAltaUrgencias', 'App\Http\Controllers\Catalogos\VistasController@vCat_MotivoAltaUrgencias');

Route::post('vCat_MotivoAtencionUrgencias', 'App\Http\Controllers\Catalogos\VistasController@vCat_MotivoAtencionUrgencias');
Route::get('vCat_MotivoAtencionUrgencias', 'App\Http\Controllers\Catalogos\VistasController@vCat_MotivoAtencionUrgencias');
// 17 Feb 2021 Act hoja de urgencias 
Route::post('upd_hojaUrgencias', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@upd_hojaUrgencias');

Route::post('vCat_ViasAdministracion', 'App\Http\Controllers\Catalogos\VistasController@vCat_ViasAdministracion');
Route::get('vCat_ViasAdministracion', 'App\Http\Controllers\Catalogos\VistasController@vCat_ViasAdministracion');
Route::post('medicamentos', 'App\Http\Controllers\ConsultaExterna\VistasController@medicamentos');
Route::post('getLstBuscarMedicamentos', 'App\Http\Controllers\Catalogos\FuncionesController@getLstBuscarMedicamentos');
Route::post('add_medicamentosReceta', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@add_medicamentosReceta');
Route::post('del_medicamentosReceta', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@del_medicamentosReceta');
Route::post('upd_medicamentosReceta', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@upd_medicamentosReceta');
//Consulta_revisarNotas_NU_pdf
Route::post('Consulta_verIndicaciones_pdf', 'App\Http\Controllers\ConsultaExterna\FormulariosController@impime_indicaciones_pdf'); 

Route::get ('Consulta_verIndicaciones_imprime_pdf', 'App\Http\Controllers\ConsultaExterna\FormulariosController@Consulta_verIndicaciones_NU_pdf');
//AGENDA DE URGENCIAS 01 Jun 2021
Route::get('agenda_urgencias', 'App\Http\Controllers\AdministradorController@agenda_urgencias');
Route::post('consultorio-getLstAgendaUrgencias', 'App\Http\Controllers\Catalogos\FormulariosController@getLstAgendaUrgencias');
Route::post('agenda-upLstMedicosURgencias', function () {
    return view('catalogos.mostrarLstAgendaUrgencias');
});
Route::post('agenda-urgencias_upMedicos', 'App\Http\Controllers\Catalogos\ProcedimientosController@agendaUrgencias_upMedicos');

Route::get('agenda_hospitalizacion', 'App\Http\Controllers\AdministradorController@agenda_hospitalizacion');
// 22 Jun 21 Vista Tipo Personal
Route::post('vCat_TipoPersonal', 'App\Http\Controllers\Catalogos\VistasController@vCat_TipoPersonal');
// 13 Jul 2021 Consultar indicadores de urgencias atendidas
Route::get('consultar_ind_urgAtendidas', 'App\Http\Controllers\EstadisticasController@consultar_ind_urgAtendidas');
Route::post('consultar_ind_urgAtendidas', 'App\Http\Controllers\EstadisticasController@consultar_ind_urgAtendidas'); 

Route::post('imprime_indicadoresUrgencias', 'App\Http\Controllers\EstadisticasController@imprime_indicadoresUrgencias'); 
Route::post('imp_reporteIndicadoresAtencionUrg_pdf', 'App\Http\Controllers\EstadisticasController@imp_reporteIndicadoresAtencionUrg_pdf'); 
Route::get('imp_reporteIndicadoresAtencionUrg_pdf', 'App\Http\Controllers\EstadisticasController@imp_reporteIndicadoresAtencionUrg_pdf');

//Reporte OCUPACION HOSPITALARIA
 Route::get('rpt_admisionOcupacionHosp', 'App\Http\Controllers\AdmisionController@rpt_admisionOcupacionHosp');
// 31 Ago 21 configuración camas disponibles hospitalización
Route::get('catalogo-updcamasActivas', 'App\Http\Controllers\Catalogos\FormulariosController@up_camas_activas');
// Route::post('catalogo-updcamasActivas', 'App\Http\Controllers\Catalogos\FormulariosController@up_camas_activas');
Route::post('getLstServiciosAdmPorCs', 'App\Http\Controllers\Catalogos\VistasController@getLstServiciosAdmPorCs');
Route::post('getLstCamasAdmision', 'App\Http\Controllers\Catalogos\FuncionesController@getLstCamasAdmision');
Route::post('up_activoCamasAdmision', 'App\Http\Controllers\Catalogos\ProcedimientosController@up_activoCamasAdmision');
//30 Sept 21 Configuración deshabilitar duplicados

Route::get('getLstPacientesStatus', 'App\Http\Controllers\ArchivoController@getLstPacientesStatus');
Route::post('up_statusFiliacion', 'App\Http\Controllers\ArchivoController@up_statusFiliacion');
Route::get('tipos_notasMedicas', 'App\Http\Controllers\Catalogos\FormulariosController@tipos_notasMedicas');
// 04 Ene 2022
Route::post('getLstTiposNotasMedicas', 'App\Http\Controllers\Catalogos\FormulariosController@getLstTiposNotasMedicas');
Route::post('tipoNota-upLst', 'App\Http\Controllers\Catalogos\FormulariosController@mostrarEditTipoNota');
//06 Ene 2022
Route::get('vCat_TiposNotas', 'App\Http\Controllers\Catalogos\VistasController@vCat_TiposNotas');
Route::post('vCat_TiposNotas', 'App\Http\Controllers\Catalogos\VistasController@vCat_TiposNotas');

Route::get('vCat_TipoConsulta', 'App\Http\Controllers\Catalogos\VistasController@vCat_TipoConsulta');
Route::post('vCat_TipoConsulta', 'App\Http\Controllers\Catalogos\VistasController@vCat_TipoConsulta');
Route::post('vCat_Genero', 'App\Http\Controllers\Catalogos\VistasController@vCat_Genero');

// 05 Abril 2022 vista para recuperar catalogo de diagnosticos
Route::post('consultar_catalogo_diagnosticos', 'App\Http\Controllers\Catalogos\FormulariosController@consultar_catalogo_diagnosticos');
Route::get('consultar_catalogo_diagnosticos', 'App\Http\Controllers\Catalogos\FormulariosController@consultar_catalogo_diagnosticos');
Route::post('getLstDiagnosticosDGIS', 'App\Http\Controllers\Catalogos\FuncionesController@getLstDiagnosticosDGIS');

//04 Mayo 2022 Vista para unificar expedientes

Route::post('unificarExpedientes', 'App\Http\Controllers\DirectorController@unificarExpedientes');
Route::get('unificarExpedientes', 'App\Http\Controllers\DirectorController@unificarExpedientes');
//06 Mayo 2022
Route::post('getLstExpedientePacienteUnificar', 'App\Http\Controllers\DirectorController@getLstExpedientePacienteUnificar');
Route::get('getLstExpedientePacienteUnificar', 'App\Http\Controllers\DirectorController@getLstExpedientePacienteUnificar');
// 09 Mayo 2022
Route::post('buscarExpedienteIncorrecto', 'App\Http\Controllers\DirectorController@buscarExpedienteIncorrecto');
Route::get('buscarExpedienteIncorrecto', 'App\Http\Controllers\DirectorController@buscarExpedienteIncorrecto');
//13 Mayo 2022
Route::post('confirmacionUnificarExpedientes', 'App\Http\Controllers\DirectorController@confirmacionUnificarExpedientes');
Route::post('up_unificarExpedientes', 'App\Http\Controllers\DirectorController@up_unificarExpedientes');
// 14 Nov 2022 
Route::post('catalogo-add_TipoNotaMedica', 'App\Http\Controllers\Catalogos\FormulariosController@mostrarAddTipoNotaMedica');
Route::post('vCat_Apartados', 'App\Http\Controllers\Catalogos\VistasController@vCat_Apartados');
//15 Nov 2022
Route::post('addNew_tipoNotaMedica', 'App\Http\Controllers\Catalogos\ProcedimientosController@addNew_tipoNotaMedica');
Route::post('catalogo-statusTipoNota', 'App\Http\Controllers\Catalogos\ProcedimientosController@statusTipoNota');
//17 Nov 2022
Route::post('editTipoNotaMedica', 'App\Http\Controllers\Catalogos\ProcedimientosController@updTipoNotaMedica');
//25 Nov 2022
Route::post('Agenda_ConsultaExterna', 'App\Http\Controllers\Agenda\FormulariosController@getAgenda_ConsultaExterna');
Route::get('Agenda_ConsultaExterna', 'App\Http\Controllers\Agenda\FormulariosController@getAgenda_ConsultaExterna');

//30 Nov 2022
Route::post('Agenda_iniciaConsulta', 'App\Http\Controllers\Agenda\FormulariosController@Agenda_iniciaConsulta');
Route::get('Agenda_iniciaConsulta', 'App\Http\Controllers\Agenda\FormulariosController@Agenda_iniciaConsulta');


Route::post('agenda_addFolioConsulta', 'App\Http\Controllers\Agenda\ProcedimientosController@agenda_addFolioConsulta');
Route::get('agenda_addFolioConsulta', 'App\Http\Controllers\Agenda\ProcedimientosController@agenda_addFolioConsulta');

// 14 Dic 2022
Route::post('agenda_getLstApartadosNota', 'App\Http\Controllers\Agenda\FuncionesController@agenda_getLstApartadosNota');
Route::get('agenda_getLstApartadosNota', 'App\Http\Controllers\Agenda\FuncionesController@agenda_getLstApartadosNota');

// 15 Dic 2022
Route::post('getLstEstadoSaludPorEspecialidad', 'App\Http\Controllers\Catalogos\VistasController@getLstEstadoSaludPorEspecialidad');

// 04 Ene 2022

Route::post('get_viewApartados', 'App\Http\Controllers\Agenda\FormulariosController@get_viewApartados');
Route::get('get_viewApartados', 'App\Http\Controllers\Agenda\FormulariosController@get_viewApartados');


// 04 Ene 2023 . 
Route::post('tiposnotas/apartado/somatometria', 'App\Http\Controllers\Agenda\FormulariosController@get_somatometria');

Route::get('tiposnotas/apartado/somatometria', 'App\Http\Controllers\Agenda\FormulariosController@get_somatometria');

// 09 Ene 2023.
Route::post('getFrecuenciaCardxEdad', 'App\Http\Controllers\Agenda\FuncionesController@getFrecuenciaCardxEdad');
// 11 Ene 2023
Route::post('getPesoxEdad', 'App\Http\Controllers\Agenda\FuncionesController@getPesoxEdad');

Route::post('getPesoxTalla', 'App\Http\Controllers\Agenda\FuncionesController@getPesoxTalla');
Route::get('getPesoxTalla', 'App\Http\Controllers\Agenda\FuncionesController@getPesoxTalla');

// 12 Ene 2023
Route::post('getIMCxEdad', 'App\Http\Controllers\Agenda\FuncionesController@getIMCxEdad');
Route::get('getIMCxEdad', 'App\Http\Controllers\Agenda\FuncionesController@getIMCxEdad');

Route::post('getPerimetroCef', 'App\Http\Controllers\Agenda\FuncionesController@getPerimetroCef');
Route::get('getPerimetroCef', 'App\Http\Controllers\Agenda\FuncionesController@getPerimetroCef');

// 13 Ene 2023
Route::post('tiposnotas/apartado/somatometria_upsert', 'App\Http\Controllers\Agenda\ProcedimientosController@upsert_somatometria');

//18 Ene 2023
Route::post('upsert_estadoSalud', 'App\Http\Controllers\Agenda\ProcedimientosController@upsert_estadoSalud');
// 19 Ene 2023
Route::post('tiposnotas/apartado/diagnosticos', 'App\Http\Controllers\Agenda\FormulariosController@get_diagnosticos');
Route::post('add_diagnosticosNota', 'App\Http\Controllers\Agenda\ProcedimientosController@add_diagnosticosNota');
// 20 Ene 2023
Route::post('checkDiagnosticoValido', 'App\Http\Controllers\Agenda\FuncionesController@checkDiagnosticoValido');
// 24 Ene 2023
Route::post('tiposnotas/apartado/diagnostico_upd', 'App\Http\Controllers\Agenda\ProcedimientosController@upDiagnostico');
Route::post('tiposnotas/apartado/upStatusDiagnostico', 'App\Http\Controllers\Agenda\ProcedimientosController@upStatusDiagnostico');

//getLstDiagnosticosNota
Route::post('Agenda/getLstDiagnosticosNota', 'App\Http\Controllers\Agenda\FuncionesController@getLstDiagnosticosNota');
Route::post('vCat_filtroBusqueda', 'App\Http\Controllers\Catalogos\VistasController@vCat_filtroBusqueda');

//23 jun 2023 
Route::post('referencia/impimir_CitaAgendada', 'App\Http\Controllers\ConsultaExterna\FormulariosController@impimir_CitaAgendada');

Route::get('referencia/impimir_CitaAgendada', 'App\Http\Controllers\ConsultaExterna\FormulariosController@impimir_CitaAgendada');
// 04 Oct 2023 recuperar info de pacientes desde buzon referencias cs
Route::post('referencia/consulta_infoPaciente', 'App\Http\Controllers\ConsultaExterna\FormulariosController@mostrarInfoPaciente');
Route::get('referencia/consulta_infoPaciente', 'App\Http\Controllers\ConsultaExterna\FormulariosController@mostrarInfoPaciente');

// 05 Dic 2023 Recuperar vista Laboratoriales 
Route::post('tiposnotas/apartado/laboratoriales', 'App\Http\Controllers\Agenda\FormulariosController@getLaboratorialesNota');
Route::post('getLstBuscarLabNota', 'App\Http\Controllers\Catalogos\FuncionesController@getLstBuscarLabNota');

Route::post('Consulta/Laboratoriales/solicitud_lab_add', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@addSolicitudLab');

Route::post('Agenda/imprime_solicitud_laboratorio_pdf', 'App\Http\Controllers\ConsultaExterna\FormulariosController@imprime_solicitud_laboratorio_pdf');

Route::post('Agenda/solicitud_laboratorio_pdf', 'App\Http\Controllers\ConsultaExterna\FormulariosController@solicitud_laboratorio_pdf');
Route::get ('Agenda/solicitud_laboratorio_pdf', 'App\Http\Controllers\ConsultaExterna\FormulariosController@solicitud_laboratorio_pdf');

Route::post('delEstudioLab', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@del_EstudioLab');

//03 Ene 2024 Interconsultas:
Route::post('tiposnotas/apartado/interconsulta', 'App\Http\Controllers\Agenda\FormulariosController@getInterconsulta');
Route::post('vCat_tipoInterConsultas', 'App\Http\Controllers\Catalogos\VistasController@vCat_tipoInterConsultas');
Route::post('vCat_CentroSalInterCons', 'App\Http\Controllers\Catalogos\VistasController@vCat_CentroSalInterCons');
Route::post('vCat_EspecialidadInterCons', 'App\Http\Controllers\Catalogos\VistasController@vCat_EspecialidadInterCons');
Route::post('Consulta/Interconsulta/solicitud_add', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@addSolicitudIntercons');
Route::post('del_SolicitudDeInterconsulta', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@del_SolicitudDeInterconsulta');

// 12 Ene 2023 . Janeth Cuevas . Consultar expedientes sin nota medica
Route::get('consultar_expedientes_sin_notas_periodo', 'App\Http\Controllers\ArchivoController@consultar_expedientes_sin_notas_periodo');

Route::post('Archivo_getLstExpedientes_sinNotas', 'App\Http\Controllers\ArchivoController@getLstExpedientes_sinNotas'); 
Route::post('Archivo_getLstExpedientes_sinNotas_csv', 'App\Http\Controllers\ArchivoController@getLstExpedientes_sinNotas_csv');
Route::post('vCat_SexoCurp', 'App\Http\Controllers\Catalogos\VistasController@vCat_SexoCurp');
Route::post('vCat_TipoMigrante', 'App\Http\Controllers\Catalogos\VistasController@vCat_TipoMigrante');
Route::post('vCat_EspecialidadCarteraServ', 'App\Http\Controllers\Catalogos\VistasController@vCat_EspecialidadCarteraServ');
Route::post('tiposnotas/apartado/contrareferencia', 'App\Http\Controllers\Agenda\FormulariosController@get_contrareferencia');

Route::post('add_contrareferenciaNota', 'App\Http\Controllers\Agenda\ProcedimientosController@addContrareferenciaNota');
Route::post('Agenda/getLstContrareferenciaNota', 'App\Http\Controllers\Agenda\FuncionesController@getLstContrareferenciaNota');

//pruebas
//Route::post('Agenda_Urgencia', 'App\Http\Controllers\Agenda\FormulariosController@getAgenda_Urgencias');
//Route::get('Agenda_Urgencia', 'App\Http\Controllers\Agenda\FormulariosController@getAgenda_Urgencias');


Route::post('recepcion_urgencias', 'App\Http\Controllers\UrgenciasController@agendaNuevaCitaUrg');
Route::get('recepcion_urgencias', 'App\Http\Controllers\UrgenciasController@agendaNuevaCitaUrg');

Route::get('Agenda_Urgencias_solicitarCita', 'App\Http\Controllers\UrgenciasController@Agenda_Urgencias_solicitarCita');
Route::post('Agenda_Urgencias_solicitarCita', 'App\Http\Controllers\UrgenciasController@Agenda_Urgencias_solicitarCita');

Route::post('vCat_CentroSalQueRefieren', 'App\Http\Controllers\Catalogos\VistasController@vCat_CentroSalQueRefieren');
Route::post('vCat_EnviarARecepcion', 'App\Http\Controllers\Catalogos\VistasController@vCat_EnviarARecepcion');
Route::post('vCat_ServicioUrgencias', 'App\Http\Controllers\Catalogos\VistasController@vCat_ServicioUrgencias');


Route::post('Urgencias_getAgenda_recepcionUrg', 'App\Http\Controllers\UrgenciasController@getAgenda_recepcionUrgencias');

// 20 Jun 2024 vista para recuperar catalogo de diagnosticos sis 
Route::post('consultar_catalogo_diagnosticos_sis', 'App\Http\Controllers\Catalogos\FormulariosController@consultar_catalogo_diagnosticos_sis');

Route::get('consultar_catalogo_diagnosticos_sis', 'App\Http\Controllers\Catalogos\FormulariosController@consultar_catalogo_diagnosticos_sis');

Route::post('getLstDiagnosticosSIS', 'App\Http\Controllers\Catalogos\FuncionesController@getLstDiagnosticosSIS');

Route::post('Urgencias_ingresarPacienteUrg', 'App\Http\Controllers\UrgenciasController@Urgencias_ingresarPacienteUrg');


Route::post('agenda_signos_vitales', 'App\Http\Controllers\UrgenciasController@agenda_signos_vitales');
Route::get('agenda_signos_vitales', 'App\Http\Controllers\UrgenciasController@agenda_signos_vitales');

Route::post('Urgencias_getAgenda_SignosVit', 'App\Http\Controllers\UrgenciasController@Urgencias_getAgenda_SignosVit');


Route::post('urgencias_captura_signos_vitales', 'App\Http\Controllers\UrgenciasController@urgencias_captura_signos_vitales');


Route::post('Urgencias_ins_SignosVitales', 'App\Http\Controllers\UrgenciasController@Urgencias_ins_SignosVitales');
Route::post('urgencias_captura_triage', 'App\Http\Controllers\UrgenciasController@urgencias_captura_triage');

Route::post('vCat_EnviarARecepcion_signosVitales', 'App\Http\Controllers\Catalogos\VistasController@vCat_EnviarARecepcion_signosVitales');

Route::post('Urgencias_captura_Triage_SignosVitales', 'App\Http\Controllers\UrgenciasController@Urgencias_captura_Triage_SignosVitales');

Route::post('agenda_consultorio_urgencias', 'App\Http\Controllers\UrgenciasController@agenda_consultorio_urgencias');
Route::get('agenda_consultorio_urgencias', 'App\Http\Controllers\UrgenciasController@agenda_consultorio_urgencias');

Route::post('Urgencias_getAgenda_Consultorio', 'App\Http\Controllers\UrgenciasController@Urgencias_getAgenda_Consultorio');


Route::post('vCat_PrioridadUrgencia', 'App\Http\Controllers\Catalogos\VistasController@vCat_PrioridadUrgencia');
Route::post('vCat_AtencionUrgencia', 'App\Http\Controllers\Catalogos\VistasController@vCat_AtencionUrgencia');
Route::post('vCat_todosServicioUrgencias', 'App\Http\Controllers\Catalogos\VistasController@vCat_todosServicioUrgencias');



Route::post('tiposnotas/apartado/hojadeurgencias', 'App\Http\Controllers\Agenda\FormulariosController@get_hoja_urgencia');

Route::get('tiposnotas/apartado/hojadeurgencias', 'App\Http\Controllers\Agenda\FormulariosController@get_hoja_urgencia');

Route::post('vCat_Iras', 'App\Http\Controllers\Catalogos\VistasController@vCat_Iras');
Route::get('vCat_Iras', 'App\Http\Controllers\Catalogos\VistasController@vCat_Iras');

Route::post('vCat_Edas', 'App\Http\Controllers\Catalogos\VistasController@vCat_Edas');
Route::get('vCat_Edas', 'App\Http\Controllers\Catalogos\VistasController@vCat_Edas');

Route::post('vCat_Afromexicano', 'App\Http\Controllers\Catalogos\VistasController@vCat_Afromexicano');

Route::post('vCat_SeConsideraIndigena', 'App\Http\Controllers\Catalogos\VistasController@vCat_SeConsideraIndigena');


// 10 Oct 2024 . Janeth C . Vistas para administrar el apartado de historia clinica
Route::post('historiaclinica/patologicos', 'App\Http\Controllers\ConsultaExterna\FormulariosController@get_patologicos');

// 17 Oct 2024 . Janeth C . Vistas para administrar el apartado de historia clinica
Route::post('historiaclinica/patologicos/gettoxicomanias', 'App\Http\Controllers\ConsultaExterna\FormulariosController@get_toxicomanias');

Route::post('patologicos/getLstToxicomanias', 'App\Http\Controllers\ConsultaExterna\FuncionesController@getLstToxicomanias');

Route::post('patologicos/setToxicomaniasNinguno', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@set_NingunaToxicomania');

Route::post('patologicos/toxicomanias/getAddToxicomanias', 'App\Http\Controllers\ConsultaExterna\FormulariosController@getAddToxicomanias');

Route::post('patologicos/toxicomanias/addToxicomanias', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@addToxicomania');


Route::post('vCat_Toxicomanias', 'App\Http\Controllers\Catalogos\VistasController@vCat_Toxicomanias');

Route::post('patologicos/toxicomanias/eliminarToxicomania', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@eliminarToxicomania');

Route::post('patologicos/toxicomanias/updToxicomanias', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@actualizarToxicomania');

// 28 Oct 2024 . Janeth C . Vistas para administrar el apartado de atencedentes quirurgicos
Route::post('historiaclinica/patologicos/getQuirurgicos', 'App\Http\Controllers\ConsultaExterna\FormulariosController@get_quirurgicos');

Route::post('patologicos/getLstQuirurgicos', 'App\Http\Controllers\ConsultaExterna\FuncionesController@getLstQuirurgicos');

Route::post('patologicos/toxicomanias/getAddQuirurgicos', 'App\Http\Controllers\ConsultaExterna\FormulariosController@getAddQuirurgicos');


Route::post('patologicos/quirurgicos/addQuirurgico', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@addQuirurgico');

Route::post('patologicos/quirurgicos/eliminarQuirurgico', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@eliminarQuirurgico');

Route::post('patologicos/quirurgicos/setQuirurgicoNinguno', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@set_NingunoQuirurgico');


// 30 Oct 2024 . Janeth C . Vistas para administrar el apartado de atencedentes Alergicos
Route::post('historiaclinica/patologicos/getAlergicos', 'App\Http\Controllers\ConsultaExterna\FormulariosController@get_alergicos');

Route::post('patologicos/getLstAlergicos', 'App\Http\Controllers\ConsultaExterna\FuncionesController@getLstAlergicos');
Route::post('patologicos/alergicos/setAlergicosNinguna', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@set_NingunaAlergicos');
Route::post('patologicos/alergicos/getAddAlergicos', 'App\Http\Controllers\ConsultaExterna\FormulariosController@getAddAlergicos');
Route::post('patologicos/alergicos/addAlergicos', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@addAlergicos');
Route::post('patologicos/alergicos/eliminarAlergico', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@eliminarAlergico');

//31 Oct 2024 . Janeth C . Vistas para administrar el apartado de Hospitalizaciones
Route::post('historiaclinica/patologicos/getHospitalizaciones', 'App\Http\Controllers\ConsultaExterna\FormulariosController@get_hospitalizaciones');
Route::post('patologicos/getLstHospitalizaciones', 'App\Http\Controllers\ConsultaExterna\FuncionesController@getLstHospitalizaciones');
Route::post('patologicos/hospitalizaciones/setHospitalizacionNinguna', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@set_NingunaHospitalizacion');
Route::post('patologicos/hospitalizaciones/getAddHospitalizaciones', 'App\Http\Controllers\ConsultaExterna\FormulariosController@getAddHospitalizaciones');
//07 nov 2024
Route::post('patologicos/hospitalizaciones/addHospitalizacion', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@addHospitalizacion');
Route::post('patologicos/hospitalizaciones/eliminarHosp', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@eliminarHosp');

// 07 nov 2024. Janeth C. apartado de padecimientos

Route::post('historiaclinica/patologicos/getPadecimientos', 'App\Http\Controllers\ConsultaExterna\FormulariosController@get_padecimientos');
Route::post('patologicos/getLstPadecimientos', 'App\Http\Controllers\ConsultaExterna\FuncionesController@getLstPadecimientos');
Route::post('patologicos/padecimientos/setPadecimientosNinguno', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@set_NingunPadecimiento');
Route::post('patologicos/padecimientos/getAddPadecimientos', 'App\Http\Controllers\ConsultaExterna\FormulariosController@getAddPadecimientos');

Route::post('patologicos/padecimientos/addPadecimiento', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@addPadecimiento');
Route::post('patologicos/padecimientos/eliminarPadecimiento', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@eliminarPadecimiento');
    
//08 Nov 2024 discapacidades Janeth C. apartado de discapacidades
Route::post('historiaclinica/patologicos/getDiscapacidades', 'App\Http\Controllers\ConsultaExterna\FormulariosController@get_discapacidades');
Route::post('patologicos/discapacidades/getAddDiscapacidades', 'App\Http\Controllers\ConsultaExterna\FormulariosController@getAddDiscapacidades');

Route::post('getLstBuscarDiscapacidades', 'App\Http\Controllers\Catalogos\FuncionesController@getLstBuscarDiscapacidades');

Route::post('patologicos/getLstDiscapacidades', 'App\Http\Controllers\ConsultaExterna\FuncionesController@getLstDiscapacidades');

Route::post('patologicos/discapacidades/addDiscapacidad', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@addDiscapacidad');

Route::post('patologicos/discapacidades/eliminarDiscapacidad', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@eliminarDiscapacidad');

Route::post('patologicos/padecimientos/setDiscapacidadNinguna', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@set_NingunaDiscapacidad');

Route::post('patologicos/padecimientos/setTipoGradoOrigenDiscapacidad', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@setTipoGradoOrigenDiscapacidad');



/*Route::post('Agenda_consultaExterna_medicamentos_receta_pdf', 'App\Http\Controllers\ConsultaExterna\FormulariosController@impime_receta_CE_pdf'); */

Route::post('Agenda_consultaExterna_medicamentos_receta_pdf', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@impime_receta_CE_pdf'); 

Route::get ('Consulta_receta_imprime_pdf', 'App\Http\Controllers\ConsultaExterna\FormulariosController@Consulta_receta_imprime_pdf'); 

Route::post('Receta_chkStatusReceta', 'App\Http\Controllers\ConsultaExterna\FuncionesController@getCheckStatusFolioReceta');


